#pragma once

#include "qt/MyQUI.h"
#include "common/Fields.h"

class QWSysmgr : public MyWidget
{
	Q_OBJECT
public:
	QWSysmgr(QWidget* parent);
	~QWSysmgr();

	void initTable(const string& name);
	void initTableData(std::string name);

	void showDialogPop(std::string name, const Fields& rowdata, std::string oper);

public:
	void slotBtnModuleChanged();

public:
	std::vector<shared_ptr<QPushButton>> vecBtnFunc;
	QPushButton* curActiveBtn {NULL};

	shared_ptr<QTableWidget> table;

	std::vector<Fields> rowFields;
};